DEFINES= -DUSE_ARGV
#-DCJMP
CFLAGS = -Os -Wall -fno-builtin -nostdlib -fomit-frame-pointer  -fno-unit-at-a-time -Wl,-evirus_start

all: test

mover: mover.c set_mark
	gcc $(CFLAGS) $(DEFINES) mover.c -o mover
#	./set_mark mover

set_mark: ../Prepender/set_mark.c
	$(CC) $< -o $@

test: mover
	cp /bin/ls .
	-./mover
	./ls

clean:
	-@rm -f mover ls set_mark

.PHONY: all clean
